%define	modname	gspca
%define	name	dkms-%{modname}v1
%define	version	1.00.20
%define	date	20071224
%define	rel	2
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DKMS-ready driver for spca5xx webcams
License:	GPLv2+
Source0:	http://mxhaard.free.fr/spca50x/Download/%{modname}v1-%{date}.tar.gz
# vc0323-yuv and yvyu-rotate: add extra module options needed by Vimicro 0323,
# ID 0ac8:0323 - http://article.gmane.org/gmane.linux.drivers.spca50x.devel/2807
Patch0:		gspcav1-20071224_vc0323-yuv.patch
Patch1:		gspcav1-20071224_yvyu-rotate.patch
Url:		http://mxhaard.free.fr/download.html
Group:		Development/Kernel
Requires(preun):	dkms
Requires(post):	dkms
Obsoletes:	dkms-spca5xx
Provides:	dkms-spca5xx
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for spca5xx webcams.

%prep
%setup -q -c -n %{modname}v1-%{version}
pushd %{modname}v1-%{date}
%patch0 -p1 -b .vc0323-yuv
%patch1 -p1 -b .yvyu-rotate
popd
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a %{modname}v1-%{date}/* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/usb/media"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#then
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
#fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%doc %{_usrsrc}/%{modname}-%{version}-%{release}/changelog
%{_usrsrc}/%{modname}-%{version}-%{release}


%changelog
* Wed Feb 06 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.00.20-2mdv2008.1
+ Revision: 163125
- Removed obsolete patches commented in spec.
- Add two patches from Claudio Matsuoka with extra options to the module
  needed by Vimicro 0323 (ID 0ac8:0323) webcam, he writes:
  """
  Hi,
  Please ignore my previous patch for this extra-quirky camera. The
  attached patches make it work without breaking regular VC0323 cameras
  with JPGV output by adding two module parameters, one to force YVYU
  decoding for VC0323 (much like the VC0321, but it identifies itself as
  0ac8:0323 and uses a different image offset) and other to decode to
  YUV, RGB15, RGB24 and RGB32 while rotating the image 180 degrees
  (since the sensor seems to be mounted upside-down in the camera).
  For the record, this is a no-brand, very cheap-looking black/silver
  plastic camera with four white leds and a foldable claw-like tripod.
  One quirk still remains: it produces RGB when it's supposed to produce
  BGR and vice versa, so force_rgb=1 is needed by spcaview but not
  gqcam. I'm not sure if this is a problem with my camera or all other
  cameras using yvyu_translate() are affected, so I didn't try to fix
  it.
  Best regards,
  Claudio
  Patches are:
  gspcav1-20071224_vc0323-yuv.patch
  gspcav1-20071224_yvyu-rotate.patch

* Tue Jan 08 2008 Funda Wang <fundawang@mandriva.org> 1.00.20-1mdv2008.1
+ Revision: 146585
- New version 20071224

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Colin Guthrie <cguthrie@mandriva.org> 1.00.18-4mdv2008.1
+ Revision: 116383
- Fix for 2.6.24

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.00.18-3mdv2008.0
+ Revision: 94608
- use requires(preun) for dkms, not pre

* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.00.18-2mdv2008.0
+ Revision: 94461
- update to new version

* Fri May 11 2007 Funda Wang <fundawang@mandriva.org> 1.00.18-1mdv2008.0
+ Revision: 26256
- New upstream version.


* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.00.12-2mdv2007.0
+ Revision: 111314
- obsolete/provide old dkms-spca5xx package (#26830)

* Tue Jan 16 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.00.12-1mdv2007.1
+ Revision: 109623
- okay now..
- new release: 20070110

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.00.11-1mdv2007.1
+ Revision: 106027
- Import dkms-gspcav1

* Tue Dec 26 2006 Brouard Nicolas <Nicolas.Brouard@mandriva.org> 1.00.11-1mdv2007.1
- gspcav1 1.00.11

* Thu May 04 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.60.00-1mdk
- 0.60.00

* Wed Apr 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.11-1mdk
- 0.57.11

* Mon Mar 27 2006 Stefan van der Eijk <stefan@eijk.nu> 0.57.10-3mdk
- fix bug introduced in -2mdk

* Mon Mar 27 2006 Stefan van der Eijk <stefan@eijk.nu> 0.57.10-2mdk
- add %%{version} to dkms PACKAGE_VERSION

* Wed Mar 22 2006 Stefan van der Eijk <stefan@eijk.nu> 0.57.10-1mdk
- New release 0.57.10

* Thu Jan 05 2006 Sebastien Savarin <plouf@mandriva.org> 0.57.08-1mdk
- New release 0.57.08
- add AUTOINSTALL="YES" in dkms.conf
- fix %%doc

* Wed Dec 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.07-1mdk
- 0.57.07 (20051212)

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.00-2mdk
- arg, forgot %%clean section

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.00-1mdk
- initial release (club request)

